from authentic.schemas.schema import *
import authentic.admin.configuration as configuration

presentation_args = { 'cols': 80, 'rows': 25 }
for schema in (String('xmlrpc_registration_url',
            N_('XMLRPC Neogia registration URL'),
            default = '',
            presentation_hint = { 'args': { 'size': 100 }}),
        String('cnil_text',
            N_("Texte d'information CNIL"),
            default = '',
            presentation_hint = { 'widget': 'Text',
                'args': presentation_args }),
        String('condition_utilisation',
            N_("Condition d'utilisation"),
            default = '',
            presentation_hint = { 'widget': 'Text',
                'args': presentation_args })):
    configuration.identity_configuration.add_schema(schema)
